const makeServiceWorkerEnv = require('service-worker-mock');

describe("plugin: fetch", () => {
  beforeEach(() => {
    Object.assign(global, makeServiceWorkerEnv());
    jest.resetModules();
    self.LibResilientPlugins = new Array()
    self.LibResilientConfig = {
        plugins: {
            'fetch':{}
        }
    }
  })
  test("it should register in LibResilientPlugins", () => {
    require("../../plugins/fetch.js");
    expect(self.LibResilientPlugins[0].name).toEqual('fetch');
  });
});
