const makeServiceWorkerEnv = require('service-worker-mock');

describe("plugin: any-of", () => {
  beforeEach(() => {
    Object.assign(global, makeServiceWorkerEnv());
    jest.resetModules();
    self.LibResilientPlugins = new Array()
    self.LibResilientConfig = {
        plugins: {
            'any-of':{}
        }
    }
  })
  test("it should register in LibResilientPlugins", () => {
    require("../../plugins/any-of.js");
    expect(self.LibResilientPlugins[0].name).toEqual('any-of');
  });
});
